cURL
curl --request POST \ --url https://api.metronome.com/v1/payments/cancel \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "customer_id": "13117714-3f05-48e5-a6e9-a66093f13b4d", "invoice_id": "6162d87b-e5db-4a33-b7f2-76ce6ead4e85" } '
{ "data": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "revenue_system_payments": [ { "revenue_system_provider": "<string>", "sync_status": "<string>", "revenue_system_external_payment_id": "<string>", "error_message": "<string>" } ], "amount": 123, "amount_paid": 123, "status": "pending", "error_message": "<string>", "updated_at": "2022-02-01T00:00:00Z", "created_at": "2022-02-01T00:00:00Z" } }
Cancel an existing payment attempt for an invoice.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Success
Show child attributes